-- Copyright 2007 Omni Development, Inc.  All rights reserved.
-- RCS_ID("$Header: svn+ssh://source.omnigroup.com/Source/svn/Omni/tags/OmniFocus/1.10.2/GM-v77.90.12/OmniGroup/Applications/OmniFocus/ScriptHandlers/BuiltInClippingHandlers/Safari.applescript 120992 2009-10-22 21:00:58Z xmas $")

on clipping(CurrentApplicationInfo, ClippingTasks)
	tell application "Google Chrome"
		tell active tab of front window
			set _pageTitle to title
			set _url to URL
		end tell
	end tell
	if _pageTitle is "" or _pageTitle is missing value then
		set _pageTitle to "Google Chrome"
	end if

	using terms from application "OmniFocus"
		repeat with _task in ClippingTasks
			tell _task
				-- set _summary to (summarize note as rich text)
				set _summary to _pageTitle

				if _summary is "" or _summary is missing value then
					if (count of words of note) > 10 then
						set {astid, AppleScript's text item delimiters} to {AppleScript's text item delimiters, " "}
						set _summary to words 1 thru 10 of (note as rich text) as string
						set AppleScript's text item delimiters to astid
					else
						set _summary to note
					end if
				end if

				set name to _summary

				tell note
					insert return & return at before first character
					set _header to _pageTitle
					insert _header at before first character
					set value of attribute "link" of style of paragraph 1 to _url
				end tell
			end tell
		end repeat
		return {CurrentApplicationInfo, {}} -- handled all the tasks
	end using terms from
end clipping
